@echo off
echo Is your TeX Live Path c:\usr\texlive\2009?
echo answer Y or N
set /p CHOICE=[Y/n]
if .%CHOICE%.==.. goto OKRUN
if .%CHOICE%.==.N. goto NOOK
if .%CHOICE%.==.n. goto NOOK
goto OKRUN

:NOOK
echo Write your TeX Live Path as like c:\usr\texlive\2009
echo without spaces or Unicode characters or trailing backslash
echo e.g., "C:\Program Files\texlive\2009" will make errors.
set /p MYTHEPATH=
set TLFOLDER=%MYTHEPATH%
goto SUCCESSRUN

:OKRUN
set TLFOLDER=c:\usr\texlive\2009

:SUCCESSRUN
pushd %TLFOLDER%\bin
if exist luatex-devel (
echo luatex-devel exists 
) else (
mkdir luatex-devel
)
popd

pushd %TEMP%
copy /Y %TLFOLDER%\tlpkg\installer\wget\wget.exe .

echo Do you want to download luatex (newer version)?
set /p CHOICE=[y/N]
if .%CHOICE%.==.y. goto DOWNIT
if .%CHOICE%.==.Y. goto DOWNIT
goto DONEDOWN

:DOWNIT
if exist luatex.dll del luatex.dll
wget http://minimals.contextgarden.net/current/bin/luatex/mswin/bin/luatex.dll
copy /Y luatex.dll %TLFOLDER%\bin\luatex-devel\

:DONEDOWN
popd

pushd %TLFOLDER%\bin\luatex-devel
if exist texlua.exe (
echo texlua.exe exists 
) else (
copy /Y ..\win32\luatex.exe .
copy /Y ..\win32\texlua.exe .
copy /Y ..\win32\texluac.exe .
copy /Y ..\win32\lualatex.exe .
copy /Y ..\win32\dvilualatex.exe .
copy /Y ..\win32\dviluatex.exe .
)
popd
pushd %TLFOLDER%\bin\win32
if exist context-var.cmd (
echo context-var.cmd exists
) else (
echo @echo off>context-var.cmd
echo setlocal>>context-var.cmd
echo set path=%TLFOLDER%\bin\luatex-devel;%%path%%>>context-var.cmd
echo set ownpath=%TLFOLDER%/bin/win32/>>context-var.cmd
echo %TLFOLDER%\bin\luatex-devel\texlua "%%ownpath%%mtxrun.lua" --script context %%*>>context-var.cmd
echo endlocal>>context-var.cmd
)
popd

tlmgr --location=http://ftp.math.utah.edu/pub/texlive/tlnet install --reinstall luatex
rem fmtutil-sys --byengine luatex
luatools --selfupdate
mtxrun --selfupdate

luatools --generate
call context-var --make
mtxrun --script fonts --names
if exist luatex-fonts-names.lua (
copy /Y luatex-fonts-names.lua %TLFOLDER%\..\texmf-local\tex\
mktexlsr
)

popd

pushd %TLFOLDER%\bin\win32
if exist context.bat.off del context.bat.off
if exist context.bat ren context.bat context.bat.off
if exist context-var.cmd ren context.bat
popd

pause
set TLFOLDER=
